{% extends "base.html" %}
{% block title %}Schema list{% endblock %}
{% block content %}
    <nav class="breadcrumb" aria-label="breadcrumbs">
        <ul>
            <li><a href="{% url 'home' %}">Home</a></li>
            <li><a href="{% url 'schema:list_view' %}">Schema list</a></li>
            <li class="is-active"><a
                    href="{% url 'schema:detail_view' schema_id=schema.pk %}">Schema #{{ schema.pk }}</a></li>
        </ul>
    </nav>

    <form method="post">
        {% csrf_token %}
        <div class="level-right">
            <div class="level-item">
                <input name="schema_id" type="hidden" value="{{ schema.pk }}">
                <input class="input" name="count" type="number" value="500">
            </div>
            <button class="button level-item is-primary generate-data" type="submit">Generate data</button>
        </div>
        <table class="table">
            <thead>
            <tr>
                <th>#</th>
                <th>Created</th>
                <th class="status">Status</th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for item in schema_items %}
                <tr id="{{ item.task_id }}">
                    <td>{{ item.pk }}</td>
                    <td>{{ item.created|date:'d.m.Y H:i' }}</td>
                    <td class="status"><span class="tag {{ item.status_css_class }}">{{ item.status_name }}</span></td>
                    <td>
                        {% if item.status == 'SUCCESS' %}
                            {#<a href="{% url 'schema:download_view' schema_id=schema.pk schema_item_id=item.pk file_name=item.filename %}">Download</a>#}
                            <a href="{{ item.filename }}">Download</a>
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </form>
{% endblock %}
